=== debian/changelog ===
quantlib-swig (1.38-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Build-Depends to current QuantLib
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Apr 2025 08:36:15 -0500

quantlib-swig (1.37-1.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 ("noble")

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Jan 2025 18:28:26 -0600
