=== debian/control ===
Source: quantlib-swig
Priority: optional
Section: interpreters
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.38), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git
Homepage: https://www.quantlib.org

Package: quantlib-python
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python3 bindings for the Quantlib Quantitative Finance library
 The QuantLib project is aimed to provide a comprehensive software framework
 for quantitative finance. The goal is to provide a standard free/open source
 library to quantitative analysts and developers for modeling, trading, and
 risk management in real-life.
 .
 QuantLib plans to offer tools that are useful for both practical
 implementation, with features such as market conventions, solvers, PDEs,
 etc., and advanced modeling, e.g., exotic options and interest rate models.
 .
 This package provides Python bindings to parts of the QuantLib library.
