=== debian/changelog ===
quantlib-swig (1.39-1) unstable; urgency=medium

  * New upstream release				(Closes: #1109836)
  
  * debian/control: Update Build-Depends to current QuantLib
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Jul 2025 13:01:54 -0500

quantlib-swig (1.38-0.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 ("noble")

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Apr 2025 08:41:45 -0500
