=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.38), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
+Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.39), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git
