=== debian/rules ===
--- 
+++ 
@@ -154,10 +154,10 @@
 	dh_testroot
 	rm -f build-stamp test-stamp install-stamp
 	-test -f Makefile && $(MAKE) realclean
-	(cd Python && for python in $(PYTHONS); do 		\
-			$$python setup.py clean --all;		\
-			done &&					\
-			rm -f QuantLib/*.pyc			)
+#	(cd Python && for python in $(PYTHONS); do 		\
+#			$$python setup.py clean --all;		\
+#			done &&					\
+#			rm -f QuantLib/*.pyc			)
 #	(cd Ruby &&						\
 #			rm -f quantlib_wrap.o QuantLibc.so 	)
 	dh_clean
