=== debian/watch ===
version=4
opts="filenamemangle=s%v?(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/lballabio/QuantLib-SWIG/tags \
    v?(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
