## quantlib-swig 1.40

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.39
+Version: 1.40
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group
