=== binder/requirements.txt ===
# Requirements for the example Python notebooks. Used by mybinder.org.
QuantLib
jupyter
jupytext
pandas
numpy
matplotlib
