=== debian/changelog ===
quantlib-swig (1.40-3) unstable; urgency=medium

  * debian/rules: Add armhf to set of architectures using -O0 -g0

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Nov 2025 10:18:24 -0600

quantlib-swig (1.40-2) unstable; urgency=medium

  * debian/patches/upgrade-minimum-pytho-version-3.10.patch: Upstream
    patch to accommodate SWIG 4.4.0 			(Closes: #1119770)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Nov 2025 09:27:49 -0500

quantlib-swig (1.40-0.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 ("noble")

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Oct 2025 09:24:15 -0500

quantlib-swig (1.40-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Oct 2025 09:20:15 -0500
