=== debian/rules ===
--- 
+++ 
@@ -56,8 +56,9 @@
 ## edd 11 Mar 2015      remove powerpc and armhf from the list as they built on Ubuntu (cf
 ##                      https://launchpad.net/ubuntu/+source/quantlib-swig/1.5-1ubuntu1) and #779720)
 ##                      also remove mips, mipsel as they are getting taken care of below
+## edd 16 Nov 2025      add armhf again as it currently runs OOM during build
 #ifneq "$(findstring $(cpu), m68k arm armeb s390 powerpc armel armhf mips mipsel)" ""
-ifneq "$(findstring $(cpu), m68k arm armeb s390 armel)" ""
+ifneq "$(findstring $(cpu), m68k arm armeb s390 armel armhf)" ""
 compilerflags   = -O0 -g0 -DBOOST_NO_AUTO_PTR
 endif
 
@@ -222,8 +223,3 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installmanpages
-#	dh_installinfo
-#	dh_undocumented
-	dh_installchangelogs -A	ChangeLog.txt
-#	dh_link
-	dh_compress
