=== debian/changelog ===
quantlib-swig (1.41-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Build-Depends to current QuantLib
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Jan 2026 09:39:37 -0600

quantlib-swig (1.40-4.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 ("noble")

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 08 Jan 2026 13:43:53 -0600

quantlib-swig (1.40-4) unstable; urgency=medium

  * debian/rules: Updated to use more debhelper defaults

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Jan 2026 17:05:43 -0600
